X2Go Bug report logs - #138
httpbroker client in X2Go Client does not set content type "application/x-www-form-urlencoded"

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 6 Mar 2013 00:33:02 UTC

Severity: important

Tags: patch, pending

Found in version HEAD

Fixed in version 4.0.2.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#138; Package x2goclient. (Wed, 06 Mar 2013 00:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 00:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: httpbroker client in X2Go Client does not set content type "application/x-www-form-urlencoded"
Date: Wed, 06 Mar 2013 01:30:55 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Severity: important
Version: HEAD

Hi Alex,

After having some troubles with the web.py framework I have switched  
over to the more mature (but younger) tornado WSGI framework for the  
public X2Go Session Broker. However, with tornado, I encouter the  
below issue in X2Go Client' httpbrokerclient:

http://qt-project.org/faq/answer/when_qhttppost_is_called_it_doesnt_seem_to_post_a_request_what_is_going_wro

Could you take a look at that? Otherwise, I can try to fix that,  
however, you would probably be much quicker.

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#138; Package x2goclient. (Wed, 06 Mar 2013 10:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 10:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 138@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 138@bugs.x2go.org
Subject: Workardound in X2Go Broker
Date: Wed, 06 Mar 2013 11:32:17 +0100
[Message part 1 (text/plain, inline)]
Hi Alex,

for the issue in #138 I have added a workaround to x2gobroker.git:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=620cf778695448fb38394e5b476974aa1815c639

If you want to test the problem with x2gobroker.git, please comment  
out the committed code under the above link.

Testing:

  $ git clone git://code.x2go.org/x2gobroker.git
  $ cd x2gobroker
  $ git checkout tornado
  $ # comment out the code from the commit above
  $ debuild -uc -us
  $ cd ..
  $ dpkg -i *x2gobroker*.deb

Then launch x2goclient

  $ x2goclient --broker-url=http://localhost:8080/plain/zeroconf/

If you want to test the broker API with GET method requests, then  
enable debugging in /etc/default/python-x2gobroker and restart  
x2gobroker-daemon.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#138; Package x2goclient. (Thu, 27 Feb 2014 15:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Lukens <jlukens@botch.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Feb 2014 15:50:02 GMT) Full text and rfc822 format available.

Message #15 received at 138@bugs.x2go.org (full text, mbox):

From: Josh Lukens <jlukens@botch.com>
To: 138@bugs.x2go.org
Subject: Possible fix
Date: Thu, 27 Feb 2014 10:24:58 -0500
[Message part 1 (text/plain, inline)]
Possible fix.  Note, this is built on top of changes submitted in bug 440. 

[bug138.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#138; Package x2goclient. (Mon, 03 Mar 2014 11:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 03 Mar 2014 11:00:01 GMT) Full text and rfc822 format available.

Message #22 received at 138@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 138-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 138@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 3 Mar 2014 11:56:06 +0100 (CET)
tag #138 pending
fixed #138 4.0.2.0
thanks

Hello,

X2Go issue #138 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=19fe787

The issue will most likely be fixed in src:x2goclient (4.0.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 19fe7875e2b8203780340272dc83189e9b8e470c
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Mar 3 11:55:44 2014 +0100

    Switch to QNetworkAccessManager. Appropriately set content type header to "application/x-www-form-urlencoded" for HTTP post requests. (Fixes: #440, #138).

diff --git a/debian/changelog b/debian/changelog
index 42c5799..daec032 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,12 @@ x2goclient (4.0.2.0-0x2go1) UNRELEASED; urgency=low
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
 
+  [ Josh Lukens ]
+  * New upstream version (4.0.2.0):
+    - Switch to QNetworkAccessManager. Appropriately set content type
+      header to "application/x-www-form-urlencoded" for HTTP post
+      requests. (Fixes: #440, #138).
+
   [ Mike Gabriel ]
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Mar 2014 11:00:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.2.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 03 Mar 2014 11:00:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#138. (Mon, 03 Mar 2014 11:00:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#138; Package x2goclient. (Thu, 10 Apr 2014 11:55:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:03 GMT) Full text and rfc822 format available.

Message #34 received at 138@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 138-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 138@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:13 +0200 (CEST)
close #138
thanks

Hello,

we are very hopeful that X2Go issue #138 reported by you
has been resolved in the new release (4.0.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=cbe900f245206ad9bd62d0fbaf226da1b3ffc44e;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.0-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:47:56 +0200
Fixes: 138 349 422 440 446 448 453
Changes: 
 x2goclient (4.0.2.0-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.2.0):
     - Revrite SSH Classes to support libssh fix.
     - Add Class HelpDialog to show options in scroll area.
     - Fix authentication on SSH Broker with key + passphrase.
     - Set modmap timer timeout to 10 sec on Mac.
     - Fix running xmodmap if X2Go Client not started from terminal.
     - Setting keyboard modifiers with xmodmap.
     - Fix multimonitor support on Linux.
     - Display more version info. Parameters --version, --git, --changelog.
     - Don't show GUI dialog for --version, --help, etc, if started
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
     - Check if txt/changelog and txt/git exist on config phase.
       Rename option "--git" to "--git-info".
     - Change x2goclient.nsi for nightly builds.
 .
   [ Josh Lukens ]
   * New upstream version (4.0.2.0):
     - Switch to QNetworkAccessManager. Appropriately set content type
       header to "application/x-www-form-urlencoded" for HTTP post
       requests. (Fixes: #440, #138).
     - Fix copy+paste errors in QNetworkAccessManager code.
     - Provide support for dynamic authentication IDs. This is
       a requirement for using the broker client against brokers
       that use some sort of OTP authentication mechanism.
       (Fixes: #446).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.2.0):
     - Drop create_text.sh again, implement changelog copying
       in distro build files. Implement Git history creation for
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
     - Allow starting shadow sessions from the command line with
       option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.
   * debian/rules:
     + Copy debian/changelog into txt/ subfolder during dh_auto_configure.
     + Create txt/git-info files for ChangeLog.git if it exists.
   * x2goclient.spec:
     + Copy ChangeLog (or debian/changelog) into txt/ subfolder during
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
     + B-R (epel-7): man2html-core (same as for Fedora builds).
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
     - Windows: Fix compatibility with PulseAudio 3.0 & later through
       new cookie handling. (Fixes: #422)
     - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
       The 5.0 build is patched for X2Go bug #363. and available here:
         https://build.opensuse.org/project/show/home:mikedep333:branches:home:\
         mkbosmans:mingw32:pulseaudio
     - Windows: Reapply KDE on Windows's patch for Pageant support to
       libssh 0.5.5. (Fixes: #448)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:08 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:08 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#138. (Thu, 10 Apr 2014 11:55:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 09 May 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jul 21 17:26:12 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.